Name:          openjade
Version:       1.3.2
Release:       8mamba
Summary:       An implementation of DSSSL an ISO standard for formatting SGML
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://openjade.sourceforge.net/
Source:        http://heanet.dl.sourceforge.net/sourceforge/openjade/openjade-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libosp-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      libopenjade = %{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Jade is an implementation of DSSSL -- Document Style Semantics and Specification Language -- an ISO standard for formatting SGML (and XML) documents.

%package -n libopenjade
Summary:       An implementation of DSSSL an ISO standard for formatting SGML
Group:         System/Libraries

%description -n libopenjade
Jade is an implementation of DSSSL -- Document Style Semantics and Specification Language -- an ISO standard for formatting SGML (and XML) documents.

This package contains the library files.

%package -n libopenjade-devel
Summary:       An implementation of DSSSL an ISO standard for formatting SGML
Group:         Development/Libraries
Requires:      libopenjade = %{version}-%{release}

%description -n libopenjade-devel
Jade is an implementation of DSSSL -- Document Style Semantics and Specification Language -- an ISO standard for formatting SGML (and XML) documents.

This package contains the development files.

%prep
%setup -q

%build
./configure \
   --prefix=%{_prefix} \
   --datadir=%{_datadir}/sgml/openjade-%{version} \
   --libdir=%{_libdir} \
   --mandir=%{_mandir} \
   --enable-http \
   --enable-default-catalog=%{_sysconfdir}/sgml/catalog \
   --enable-default-search-path=%{_datadir}/sgml
%make

%install
test x%{buildroot} != x/ && rm -rf %{buildroot}
make install \
   prefix=%{buildroot}%{_prefix} \
   datadir=%{buildroot}%{_datadir}/sgml/openjade-%{version} \
   libdir=%{buildroot}%{_libdir} \
   mandir=%{buildroot}%{_mandir} \
   install-man

ln -s openjade %{buildroot}%{_bindir}/jade
ln -s libogrove.so %{buildroot}%{_libdir}/libgrove.so
ln -s libospgrove.so %{buildroot}%{_libdir}/libspgrove.so
ln -s libostyle.so %{buildroot}%{_libdir}/libstyle.so
install -m644 dsssl/catalog %{buildroot}%{_datadir}/sgml/openjade-1.3.2/
install -m644 dsssl/*.{dtd,dsl,sgm} \
   %{buildroot}%{_datadir}/sgml/openjade-1.3.2/

install -d %{buildroot}%{_includedir}/sp/{generic,include}
install generic/*.h %{buildroot}%{_includedir}/sp/generic/
install include/*.h %{buildroot}%{_includedir}/sp/include/

%clean
test x%{buildroot} != x/ && rm -rf %{buildroot}

%post
if [ $1 -ge 1 ]; then
#new install or upgrade
   /usr/bin/xmlcatalog --sgml --noout \
         --add %{_sysconfdir}/sgml/openjade-%{version}.cat \
	 %{_datadir}/sgml/openjade-%{version}/catalog
   /usr/bin/xmlcatalog --sgml --noout \
         --add %{_sysconfdir}/sgml/sgml-docbook.cat \
	 %{_sysconfdir}/sgml/openjade-%{version}.cat
fi

%postun
if [ $1 -eq 0 ]; then
#erase
   /usr/bin/xmlcatalog --sgml --noout \
      --del %{_sysconfdir}/sgml/openjade-%{version}.cat \
      %{_datadir}/sgml/openjade-%{version}/catalog 2>/dev/null
   /usr/bin/xmlcatalog --sgml --noout \
         --del %{_sysconfdir}/sgml/sgml-docbook.cat \
	 %{_sysconfdir}/sgml/openjade-%{version}.cat 2>/dev/null
fi


%files
%defattr(-,root,root)
%{_bindir}/jade
%{_bindir}/openjade
%{_mandir}/man1/*

%files -n libopenjade
%defattr(-,root,root)
%{_libdir}/*.so.*
%dir %{_datadir}/sgml/openjade-%{version}
%{_datadir}/sgml/openjade-%{version}/*

%files -n libopenjade-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/sp
%{_includedir}/sp/*

%changelog
* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-8mamba
- automatic rebuild by autodist

* Wed Sep 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-7mamba
- install dsssl catalog and files

* Tue Sep 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-6mamba
- specfile updated

* Fri May 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-5qilnx
- rebuild to correct some missing symbols problems

* Fri Feb 25 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-4qilnx
- rebuilt agains OpenSP 1.5.1

* Fri Feb 25 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-3qilnx
- fix for specfile Group entry

* Thu Dec 11 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.2-2qilnx
- added missing RPM requirement

* Wed Nov 19 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-1qilnx
- first build
